

do_ignition()
{

 portset(OUTPUT_FEVKA);
 portset(OUTPUT_FUEL);         
 portset(OUTPUT_IGNITION);	 //On ignition valve
 portset(OUTPUT_OXY_HEAT_LO);

 proc=plc_proc_ignition;

 timer=3000;          //Set Ignition process
 do{ timer--; }while(timer>0); //wait ignition

 portclr(OUTPUT_FEVKA);

 timer=time_ignition;          //Set Ignition process
 do{ timer--; }while(timer>0); //wait ignition

 portclr(OUTPUT_IGNITION); //Off ignition valve

};




do_preheat()
{
  portset(OUTPUT_OXY_HEAT_HI);

  proc=plc_proc_preheat;
  break_heating=1;
  timer=time_preheat;

  gvarset(9100,1);

  do{ timer--; 
  if ((timer&0x3ff)==0){ gvarset(99,timer);};
  if (break_heating==0) { timer=0; };
  }while(timer>0);             //heating loop

  gvarset(9100,0);
};

do_pierce()
{

 portset(OUTPUT_OXY_CUT_LO);   //add Oxy Cutting Lo pressure

 timer=time_soft_start; 
 do{ timer--; }while(timer>0); //wait for Soft Oxy start

 portset(OUTPUT_OXY_CUT_HI);   //add Oxy Cutting Hi pressure

 timer=time_pierce; 
 do{ timer--; }while(timer>0); //wait for Pierce

 portclr(OUTPUT_OXY_HEAT_HI);   //add Oxy Cutting Hi pressure


};


start_thc()
{
  thc_enabled=gvarget(5702);
  if (thc_enabled!=0)
 {
gvarset(7570,3);	
 };
};

